Subject: Re: Definiation of Name in ASN.1 and ABNF

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 22 Nov 2000 08:41:31 -0500

You don't.  A binary name is a number (although you could have "structure"
to the
bit pattern).  A text name is a string-like ASCII name.  You don't ever
translate
one to the other.

The syntax of DigitMap in ASN.1 is:
DigitMapDescriptor ::= SEQUENCE
   {
        digitMapName            DigitMapName    OPTIONAL,
        digitMapValue           DigitMapValue   OPTIONAL
   }

   DigitMapName ::= Name

   DigitMapValue ::= SEQUENCE
   {
        startTimer              INTEGER(0..99) OPTIONAL,
        shortTimer              INTEGER(0..99) OPTIONAL,
        longTimer               INTEGER(0..99) OPTIONAL,
        digitMapBody            IA5String,
        -- See Section A.3 for explanation of digit map syntax
        ...
   }

So you don't have to put a text name in the digitMapBody

Brian

> -----Original Message-----
> From: ??? [mailto:[email-masked]]
> Sent: Tuesday, November 21, 2000 10:34 PM
> To: [email-masked]
> Subject: Definiation of Name in ASN.1 and ABNF
>
>
> In ABNF
>    NAME = ALPHA * 63(ALPHA/ DIGIT/ "_")
>
> In ASN.1
>    Name ::= OCTET STRING(SIZE(2))
>
> How can I translate a 64 bytes text string to a 2 bytes octets?
>
> In my case, I have a digitmap name in text mode like :
>    DigitMap = Dialplan0{ ....}
> How can I encode the text "Dialplan0" to ASN ?
>
> Thanks
>